kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: frontend-applications-ingress
  namespace: uavcloud-demo
  selfLink: >-
    /apis/extensions/v1beta1/namespaces/uavcloud-demo/ingresses/frontend-applications-ingress
  uid: e2fe3522-984b-4150-8232-4d4bce45c1fe
  resourceVersion: '795749563'
  generation: 29
  creationTimestamp: '2022-06-08T03:08:16Z'
  labels:
    accessmode: public
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.2.4
    helm.sh/chart: all-ingress-config-1.1.0
    type: frontend
  annotations:
    field.cattle.io/publicEndpoints: >-
      [{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-media","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/media/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-securityh5","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/securityh5/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-suav-platform-supervisionh5","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/supervisionh5/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-detection","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/detection/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-splice","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/splice/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-splice-visual","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/splice-visual/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-traffic-screen","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/traffic/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-visualization","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/visualization/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/inspection/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/green/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/park/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/pangu/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/emersupport/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/infrastructure/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/security/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/communication/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-logistics","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/logistics/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-mws-admin","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/mws-admin/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-seniclive","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/seniclive/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-jiangsuwenlv","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/jiangsuwenlv/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-suav-platform-supervision","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/supervision/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-base","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/base/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-cms","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/cms/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-hyperspectral","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/hyper/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-mws","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/mws/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-share","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/share/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-cms-portal","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-cms-portal","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/cmsportal/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-ai-brain","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/ai-brain/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-emergency-rescue","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/emergency/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-oms","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/oms/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-open","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/open/?(.*)","allNodes":false},{"addresses":["192.168.34.234","192.168.34.239","192.168.34.245","192.168.34.249","192.168.34.251"],"port":80,"protocol":"HTTP","serviceName":"uavcloud-demo:cmii-uav-platform-qinghaitourism","ingressName":"uavcloud-demo:frontend-applications-ingress","hostname":"www.demo.uavcmlc.com","path":"/qinghaitourism/?(.*)","allNodes":false}]
    kubernetes.io/ingress.class: nginx
    meta.helm.sh/release-name: demo-3.2.4
    meta.helm.sh/release-namespace: uavcloud-demo
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^(/green)$ $1/ redirect;
      rewrite ^(/supervision)$ $1/ redirect;
      rewrite ^(/inspection)$ $1/ redirect;
      rewrite ^(/park)$ $1/ redirect;
      rewrite ^(/pangu)$ $1/ redirect;
      rewrite ^(/ai-brain)$ $1/ redirect;
      rewrite ^(/base)$ $1/ redirect;
      rewrite ^(/cms)$ $1/ redirect;
      rewrite ^(/cmsportal)$ $1/ redirect;
      rewrite ^(/detection)$ $1/ redirect;
      rewrite ^(/emergency)$ $1/ redirect;
      rewrite ^(/hyper)$ $1/ redirect;
      rewrite ^(/logistics)$ $1/ redirect;
      rewrite ^(/mws)$ $1/ redirect;
      rewrite ^(/mws-admin)$ $1/ redirect;
      rewrite ^(/oms)$ $1/ redirect;
      rewrite ^(/open)$ $1/ redirect;
      rewrite ^(/security)$ $1/ redirect;
      rewrite ^(/share)$ $1/ redirect;
      rewrite ^(/splice)$ $1/ redirect;
      rewrite ^(/splice-visual)$ $1/ redirect;
      rewrite ^(/traffic)$ $1/ redirect;
      rewrite ^(/visualization)$ $1/ redirect;
      rewrite ^(/communication)$ $1/ redirect;
      rewrite ^(/infrastructure)$ $1/ redirect;
      rewrite ^(/media)$ $1/ redirect;
      rewrite ^(/seniclive)$ $1/ redirect;
      rewrite ^(/armypeople)$ $1/ redirect;
      rewrite ^(/multiterminal)$ $1/ redirect;
      rewrite ^(/emerelief)$ $1/ redirect;
    nginx.ingress.kubernetes.io/enable-cors: 'true'
    nginx.ingress.kubernetes.io/rewrite-target: /$1
  managedFields:
    - manager: Go-http-client
      operation: Update
      apiVersion: networking.k8s.io/v1beta1
      time: '2022-06-08T03:08:16Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubernetes.io/ingress.class': {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
            'f:nginx.ingress.kubernetes.io/enable-cors': {}
            'f:nginx.ingress.kubernetes.io/rewrite-target': {}
          'f:labels':
            .: {}
            'f:accessmode': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/version': {}
            'f:helm.sh/chart': {}
            'f:type': {}
    - manager: rancher
      operation: Update
      apiVersion: extensions/v1beta1
      time: '2023-05-06T06:20:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:field.cattle.io/publicEndpoints': {}
    - manager: dashboard
      operation: Update
      apiVersion: extensions/v1beta1
      time: '2024-07-01T07:52:19Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:nginx.ingress.kubernetes.io/configuration-snippet': {}
        'f:spec':
          'f:rules': {}
    - manager: nginx-ingress-controller
      operation: Update
      apiVersion: networking.k8s.io/v1beta1
      time: '2024-07-14T15:01:56Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:loadBalancer':
            'f:ingress': {}
spec:
  rules:
    - host: www.demo.uavcmlc.com
      http:
        paths:
          - path: /inspection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /supervision/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervision
              servicePort: 9528
          - path: /supervisionh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /green/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /park/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /pangu/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /emersupport/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /infrastructure/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /ai-brain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-ai-brain
              servicePort: 9528
          - path: /base/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-base
              servicePort: 9528
          - path: /detection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-detection
              servicePort: 9528
          - path: /emergency/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-emergency-rescue
              servicePort: 9528
          - path: /hyper/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hyperspectral
              servicePort: 9528
          - path: /logistics/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-logistics
              servicePort: 9528
          - path: /mws/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws
              servicePort: 9528
          - path: /mws-admin/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws-admin
              servicePort: 9528
          - path: /open/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-open
              servicePort: 9528
          - path: /security/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /share/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-share
              servicePort: 9528
          - path: /splice/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice
              servicePort: 9528
          - path: /splice-visual/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice-visual
              servicePort: 9528
          - path: /traffic/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /visualization/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-visualization
              servicePort: 9528
          - path: /communication/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /media/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-media
              servicePort: 9528
          - path: /seniclive/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-seniclive
              servicePort: 9528
          - path: /jiangsuwenlv/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-jiangsuwenlv
              servicePort: 9528
          - path: /qinghaitourism/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qinghaitourism
              servicePort: 9528
          - path: /securityh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-dispatchh5
              servicePort: 9528
          - path: /armypeopleh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /fireRescue/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /armypeople/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-armypeople
              servicePort: 9528
          - path: /multiterminal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-multiterminal
              servicePort: 9528
          - path: /heilongjiangtieta/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hljtt
              servicePort: 9528
          - path: /qingdaobigdata/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qingdao
              servicePort: 9528
          - path: /threedsimulation/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-threedsimulation
              servicePort: 9528
          - path: /emerelief/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /uas/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uas
              servicePort: 9528
          - path: /uasms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uasms
              servicePort: 9528
          - path: /oms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-oms
              servicePort: 9528
          - path: /eventsh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-eventsh5
              servicePort: 9528
status:
  loadBalancer:
    ingress:
      - ip: 192.168.34.238
      - ip: 192.168.35.45
      - ip: 192.168.36.234
